VOTEQUORUM_QDEVICE_UPDATE(3)

NAME
votequorum_qdevice_update - Updates quorum device name

SYNOPSIS
#include <corosync/votequorum.h>

int votequorum_qdevice_update(votequorum_handle_t handleconst char oldname, const char newname);

DESCRIPTION
The votequorum_qdevice_update is used to change the name of the quorum device to corosync. The name of q quorum device is purely informational and has no significance to votequorum itself, but it's useful for the name (displayed by corosync-quorumtool) to reflect the actual device contributing votes to quorum to avoid user confusion.

RETURN VALUE
This call returns the CS_OK value if successful, otherwise an error is returned.

ERRORS

CS_ERR_TRY_AGAIN Resource temporarily unavailable

CS_ERR_INVALID_PARAM Invalid argument

CS_ERR_ACCESS Permission denied

CS_ERR_LIBRARY The connection failed

CS_ERR_INTERRUPT System call interrupted by a signal

CS_ERR_NOT_SUPPORTED The requested protocol/functionality not supported

CS_ERR_MESSAGE_ERROR Incorrect auth message received

CS_ERR_NO_MEMORY Not enough memory to complete the requested task

SEE ALSO
votequorum_overview(3), votequorum_initialize(3), votequorum_finalize(3), votequorum_getinfo(3), votequorum_trackstart(3), votequorum_trackstop(3), votequorum_fd_get(3), votequorum_dispatch(3), votequorum_context_set(3), votequorum_context_get(3), votequorum_setexpected(3), votequorum_setvotes(3), votequorum_qdevice_register(3), votequorum_qdevice_poll(3), votequorum_qdevice_master_wins(3), corosync-quorumtool(8)